package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMApplyDTO]
 */
@Data
public class EAMApplyDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [EAMAPPLYID]
     *
     */
    @JSONField(name = "eamapplyid")
    @JsonProperty("eamapplyid")
    private String eamapplyid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMAPPLYNAME]
     *
     */
    @JSONField(name = "eamapplyname")
    @JsonProperty("eamapplyname")
    private String eamapplyname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [EAMAPPLYTYPEID]
     *
     */
    @JSONField(name = "eamapplytypeid")
    @JsonProperty("eamapplytypeid")
    private String eamapplytypeid;

    /**
     * 属性 [EAMLOCATIONID]
     *
     */
    @JSONField(name = "eamlocationid")
    @JsonProperty("eamlocationid")
    private String eamlocationid;

    /**
     * 属性 [ASSETID]
     *
     */
    @JSONField(name = "assetid")
    @JsonProperty("assetid")
    private String assetid;


    /**
     * 设置 [EAMAPPLYNAME]
     */
    public void setEamapplyname(String  eamapplyname){
        this.eamapplyname = eamapplyname ;
        this.modify("eamapplyname",eamapplyname);
    }

    /**
     * 设置 [EAMAPPLYTYPEID]
     */
    public void setEamapplytypeid(String  eamapplytypeid){
        this.eamapplytypeid = eamapplytypeid ;
        this.modify("eamapplytypeid",eamapplytypeid);
    }

    /**
     * 设置 [EAMLOCATIONID]
     */
    public void setEamlocationid(String  eamlocationid){
        this.eamlocationid = eamlocationid ;
        this.modify("eamlocationid",eamlocationid);
    }

    /**
     * 设置 [ASSETID]
     */
    public void setAssetid(String  assetid){
        this.assetid = assetid ;
        this.modify("assetid",assetid);
    }


}

